Index: doc/src/sgml/client-auth.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/client-auth.sgml,v
retrieving revision 1.61
diff -c -r1.61 client-auth.sgml
*** doc/src/sgml/client-auth.sgml	29 Nov 2003 19:51:36 -0000	1.61
--- doc/src/sgml/client-auth.sgml	6 Dec 2003 22:29:01 -0000
***************
*** 111,120 ****
       <term><literal>host</literal></term>
       <listitem>
        <para>
!        This record matches connection attempts using TCP/IP networks.
         Note that TCP/IP connections are disabled unless the server is
         started with the <option>-i</option> option or the
!        <varname>tcpip_socket</> configuration parameter is enabled.
        </para>
       </listitem>
      </varlistentry>
--- 111,123 ----
       <term><literal>host</literal></term>
       <listitem>
        <para>
!        This record matches connection attempts made using TCP/IP.
         Note that TCP/IP connections are disabled unless the server is
         started with the <option>-i</option> option or the
!        <varname>tcpip_socket</> configuration parameter is
!        enabled. <literal>host</literal> records match either
!        <acronym>SSL</acronym> or non-<acronym>SSL</acronym> connection
!        attempts.
        </para>
       </listitem>
      </varlistentry>
***************
*** 123,139 ****
       <term><literal>hostssl</literal></term>
       <listitem>
        <para>
!        This record matches connection attempts using SSL over TCP/IP.
!        <literal>host</literal> records will match either SSL or
!        non-SSL connection attempts, but <literal>hostssl</literal>
!        records require SSL connections.
        </para>
  
        <para>
!        To make use of this option the server must be built
!        with SSL support enabled. Furthermore, SSL must be enabled by
!        enabling the <varname>ssl</varname> configuration parameter
!        (see <xref linkend="runtime-config"> for more information).
        </para>
       </listitem>
      </varlistentry>
--- 126,142 ----
       <term><literal>hostssl</literal></term>
       <listitem>
        <para>
!        This record matches connection attempts made using TCP/IP. In
!        addition, this record requires that the connection is made with
!        <acronym>SSL</acronym>.
        </para>
  
        <para>
!        To make use of this option the server must be built with
!        <acronym>SSL</acronym> support enabled. Furthermore,
!        <acronym>SSL</acronym> must be enabled by setting the
!        <varname>ssl</varname> configuration parameter (see <xref
!        linkend="ssl-tcp"> for more information).
        </para>
       </listitem>
      </varlistentry>
***************
*** 143,150 ****
       <listitem>
        <para>
         This record is similar to <literal>hostssl</> but with the
! 	   opposite logic: it matches only regular connection attempts not
! 	   using SSL.
        </para>
       </listitem>
      </varlistentry>
--- 146,153 ----
       <listitem>
        <para>
         This record is similar to <literal>hostssl</> but with the
! 	   opposite logic: it only matches connection attempts made over
! 	   TCP/IP that do not use <acronym>SSL</acronym>.
        </para>
       </listitem>
      </varlistentry>
***************
*** 593,599 ****
      <quote>sniffing</> attacks then <literal>md5</> is preferred, with
      <literal>crypt</> a second choice if you must support pre-7.2
      clients. Plain <literal>password</> should especially be avoided for
!     connections over the open Internet (unless you use SSL, SSH, or
      other communications security wrappers around the connection).
     </para>
  
--- 596,602 ----
      <quote>sniffing</> attacks then <literal>md5</> is preferred, with
      <literal>crypt</> a second choice if you must support pre-7.2
      clients. Plain <literal>password</> should especially be avoided for
!     connections over the open Internet (unless you use <acronym>SSL</acronym>, SSH, or
      other communications security wrappers around the connection).
     </para>
  
Index: doc/src/sgml/func.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/func.sgml,v
retrieving revision 1.180
diff -c -r1.180 func.sgml
*** doc/src/sgml/func.sgml	29 Nov 2003 19:51:37 -0000	1.180
--- doc/src/sgml/func.sgml	6 Dec 2003 22:50:50 -0000
***************
*** 6117,6123 ****
  
  
   <sect1 id="functions-sequence">
!   <title>Sequence-Manipulation Functions</title>
  
    <indexterm>
     <primary>sequence</primary>
--- 6117,6123 ----
  
  
   <sect1 id="functions-sequence">
!   <title>Sequence Manipulation Functions</title>
  
    <indexterm>
     <primary>sequence</primary>
Index: doc/src/sgml/information_schema.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/information_schema.sgml,v
retrieving revision 1.12
diff -c -r1.12 information_schema.sgml
*** doc/src/sgml/information_schema.sgml	29 Nov 2003 19:51:37 -0000	1.12
--- doc/src/sgml/information_schema.sgml	6 Dec 2003 22:53:46 -0000
***************
*** 183,189 ****
       <row>
        <entry><literal>is_grantable</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 183,189 ----
       <row>
        <entry><literal>is_grantable</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 669,705 ****
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
--- 669,705 ----
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 758,782 ****
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in PostgreSQL</entry>
       </row>
  
       <row>
--- 758,782 ----
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 795,801 ****
       <row>
        <entry><literal>is_self_referencing</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 795,801 ----
       <row>
        <entry><literal>is_self_referencing</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 1279,1315 ****
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
--- 1279,1315 ----
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 1401,1425 ****
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in PostgreSQL</entry>
       </row>
  
       <row>
--- 1401,1425 ----
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 1541,1625 ****
       <row>
        <entry><literal>character_maximum_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_octet_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision_radix</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_scale</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>datetime_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>interval_type</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>interval_precision</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in PostgreSQL</entry>
       </row>
  
       <row>
--- 1541,1625 ----
       <row>
        <entry><literal>character_maximum_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_octet_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision_radix</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_scale</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>datetime_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>interval_type</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>interval_precision</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to array element data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 1657,1681 ****
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in PostgreSQL</entry>
       </row>
  
       <row>
--- 1657,1681 ----
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 1883,1901 ****
       <row>
        <entry><literal>is_result</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>as_locator</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>parameter_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Always null, since PostgreSQL does not support named parameters</entry>
       </row>
  
       <row>
--- 1883,1901 ----
       <row>
        <entry><literal>is_result</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>as_locator</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>parameter_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Always null, since <productname>PostgreSQL</> does not support named parameters</entry>
       </row>
  
       <row>
***************
*** 1914,1998 ****
       <row>
        <entry><literal>character_maximum_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_octet_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision_radix</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_scale</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>datetime_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>interval_type</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>interval_precision</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in PostgreSQL</entry>
       </row>
  
       <row>
--- 1914,1998 ----
       <row>
        <entry><literal>character_maximum_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_octet_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision_radix</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_scale</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>datetime_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>interval_type</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>interval_precision</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to parameter data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 2024,2048 ****
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in PostgreSQL</entry>
       </row>
  
       <row>
--- 2024,2048 ----
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 2408,2414 ****
       <row>
        <entry><literal>with_hierarchy</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 2408,2414 ----
       <row>
        <entry><literal>with_hierarchy</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 2670,2706 ****
       <row>
        <entry><literal>module_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>module_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>module_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>udt_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>udt_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>udt_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
--- 2670,2706 ----
       <row>
        <entry><literal>module_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>module_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>module_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>udt_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>udt_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>udt_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 2719,2803 ****
       <row>
        <entry><literal>character_maximum_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_octet_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision_radix</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>numeric_scale</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>datetime_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>interval_type</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>interval_precision</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to return data types in PostgreSQL</entry>
       </row>
  
       <row>
--- 2719,2803 ----
       <row>
        <entry><literal>character_maximum_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_octet_length</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>collation_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_precision_radix</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>numeric_scale</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>datetime_precision</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>interval_type</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>interval_precision</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Always null, since this information is not applied to return data types in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 2829,2853 ****
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in PostgreSQL</entry>
       </row>
  
       <row>
--- 2829,2853 ----
       <row>
        <entry><literal>scope_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>scope_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>maximum_cardinality</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Always null, because arrays always have unlimited maximum cardinality in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 2908,2914 ****
        <entry><type>character_data</type></entry>
        <entry>
         Always <literal>GENERAL</literal> (The SQL standard defines
!        other parameter styles, which are not available in PostgreSQL.)
        </entry>
       </row>
  
--- 2908,2914 ----
        <entry><type>character_data</type></entry>
        <entry>
         Always <literal>GENERAL</literal> (The SQL standard defines
!        other parameter styles, which are not available in <productname>PostgreSQL</>.)
        </entry>
       </row>
  
***************
*** 2919,2925 ****
         If the function is declared immutable (called deterministic in
         the SQL standard), then <literal>YES</literal>, else
         <literal>NO</literal>.  (You cannot query the other volatility
!        levels available in PostgreSQL through the information schema.)
        </entry>
       </row>
  
--- 2919,2925 ----
         If the function is declared immutable (called deterministic in
         the SQL standard), then <literal>YES</literal>, else
         <literal>NO</literal>.  (You cannot query the other volatility
!        levels available in <productname>PostgreSQL</> through the information schema.)
        </entry>
       </row>
  
***************
*** 2929,2935 ****
        <entry>
         Always <literal>MODIFIES</literal>, meaning that the function
         possibly modifies SQL data.  This information is not useful for
!        PostgreSQL.
        </entry>
       </row>
  
--- 2929,2935 ----
        <entry>
         Always <literal>MODIFIES</literal>, meaning that the function
         possibly modifies SQL data.  This information is not useful for
!        <productname>PostgreSQL</>.
        </entry>
       </row>
  
***************
*** 2946,2952 ****
       <row>
        <entry><literal>sql_path</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
--- 2946,2952 ----
       <row>
        <entry><literal>sql_path</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 2955,2980 ****
        <entry>
         Always <literal>YES</literal> (The opposite would be a method
         of a user-defined type, which is a feature not available in
!        PostgreSQL.)
        </entry>
       </row>
  
       <row>
        <entry><literal>max_dynamic_result_sets</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>is_user_defined_cast</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>is_implicitly_invocable</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
--- 2955,2980 ----
        <entry>
         Always <literal>YES</literal> (The opposite would be a method
         of a user-defined type, which is a feature not available in
!        <productname>PostgreSQL</>.)
        </entry>
       </row>
  
       <row>
        <entry><literal>max_dynamic_result_sets</literal></entry>
        <entry><type>cardinal_number</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>is_user_defined_cast</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>is_implicitly_invocable</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 2991,3015 ****
       <row>
        <entry><literal>to_sql_specific_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>to_sql_specific_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>to_sql_specific_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>as_locator</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 2991,3015 ----
       <row>
        <entry><literal>to_sql_specific_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>to_sql_specific_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>to_sql_specific_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>as_locator</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 3058,3082 ****
       <row>
        <entry><literal>default_character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>default_character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>default_character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>sql_path</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 3058,3082 ----
       <row>
        <entry><literal>default_character_set_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>default_character_set_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>default_character_set_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>sql_path</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 3136,3142 ****
        <entry><type>character_data</type></entry>
        <entry>
         <literal>YES</literal> if the feature is fully supported by the
!        current version of PostgreSQL, <literal>NO</literal> if not
        </entry>
       </row>
  
--- 3136,3142 ----
        <entry><type>character_data</type></entry>
        <entry>
         <literal>YES</literal> if the feature is fully supported by the
!        current version of <productname>PostgreSQL</>, <literal>NO</literal> if not
        </entry>
       </row>
  
***************
*** 3144,3150 ****
        <entry><literal>is_verified_by</literal></entry>
        <entry><type>character_data</type></entry>
        <entry>
!        Always null, since the PostgreSQL development group does not
         perform formal testing of feature conformance
        </entry>
       </row>
--- 3144,3150 ----
        <entry><literal>is_verified_by</literal></entry>
        <entry><type>character_data</type></entry>
        <entry>
!        Always null, since the <productname>PostgreSQL</> development group does not
         perform formal testing of feature conformance
        </entry>
       </row>
***************
*** 3306,3312 ****
        <entry><type>character_data</type></entry>
        <entry>
         The programming language, if the binding style is
!        <literal>EMBEDDED</literal>, else null.  PostgreSQL only
         supports the language C.
        </entry>
       </row>
--- 3306,3312 ----
        <entry><type>character_data</type></entry>
        <entry>
         The programming language, if the binding style is
!        <literal>EMBEDDED</literal>, else null.  <productname>PostgreSQL</> only
         supports the language C.
        </entry>
       </row>
***************
*** 3355,3361 ****
        <entry><type>character_data</type></entry>
        <entry>
         <literal>YES</literal> if the package is fully supported by the
!        current version of PostgreSQL, <literal>NO</literal> if not
        </entry>
       </row>
  
--- 3355,3361 ----
        <entry><type>character_data</type></entry>
        <entry>
         <literal>YES</literal> if the package is fully supported by the
!        current version of <productname>PostgreSQL</>, <literal>NO</literal> if not
        </entry>
       </row>
  
***************
*** 3363,3369 ****
        <entry><literal>is_verified_by</literal></entry>
        <entry><type>character_data</type></entry>
        <entry>
!        Always null, since the PostgreSQL development group does not
         perform formal testing of feature conformance
        </entry>
       </row>
--- 3363,3369 ----
        <entry><literal>is_verified_by</literal></entry>
        <entry><type>character_data</type></entry>
        <entry>
!        Always null, since the <productname>PostgreSQL</> development group does not
         perform formal testing of feature conformance
        </entry>
       </row>
***************
*** 3443,3449 ****
    <para>
     The table <literal>sql_sizing_profiles</literal> contains
     information about the <literal>sql_sizing</literal> values that are
!    required by various profiles of the SQL standard.  PostgreSQL does
     not track any SQL profiles, so this table is empty.
    </para>
  
--- 3443,3449 ----
    <para>
     The table <literal>sql_sizing_profiles</literal> contains
     information about the <literal>sql_sizing</literal> values that are
!    required by various profiles of the SQL standard.  <productname>PostgreSQL</> does
     not track any SQL profiles, so this table is empty.
    </para>
  
***************
*** 3656,3662 ****
       <row>
        <entry><literal>with_hierarchy</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 3656,3662 ----
       <row>
        <entry><literal>with_hierarchy</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 3726,3756 ****
       <row>
        <entry><literal>self_referencing_column_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>reference_generation</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>user_defined_type_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>user_defined_type_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>user_defined_type_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 3726,3756 ----
       <row>
        <entry><literal>self_referencing_column_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>reference_generation</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>user_defined_type_catalog</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>user_defined_type_schema</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>user_defined_type_name</literal></entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 3836,3842 ****
       <row>
        <entry><literal>action_condition</literal</entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
--- 3836,3842 ----
       <row>
        <entry><literal>action_condition</literal</entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
***************
*** 3871,3883 ****
       <row>
        <entry><literal>condition_reference_old_table</literal</entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
        <entry><literal>condition_reference_new_table</literal</entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
      </tbody>
     </tgroup>
--- 3871,3883 ----
       <row>
        <entry><literal>condition_reference_old_table</literal</entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
        <entry><literal>condition_reference_new_table</literal</entry>
        <entry><type>sql_identifier</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
      </tbody>
     </tgroup>
***************
*** 4206,4212 ****
       <row>
        <entry><literal>check_option</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in PostgreSQL</entry>
       </row>
  
       <row>
--- 4206,4212 ----
       <row>
        <entry><literal>check_option</literal></entry>
        <entry><type>character_data</type></entry>
!       <entry>Applies to a feature not available in <productname>PostgreSQL</></entry>
       </row>
  
       <row>
Index: doc/src/sgml/installation.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/installation.sgml,v
retrieving revision 1.187
diff -c -r1.187 installation.sgml
*** doc/src/sgml/installation.sgml	29 Nov 2003 19:51:37 -0000	1.187
--- doc/src/sgml/installation.sgml	6 Dec 2003 22:30:07 -0000
***************
*** 268,274 ****
  
      <listitem>
       <para>
!       <application>Kerberos</>, <application>OpenSSL</>, or <application>PAM</>,
        if you want to support authentication using these services.
       </para>
      </listitem>
--- 268,274 ----
  
      <listitem>
       <para>
!       <application>Kerberos</>, <productname>OpenSSL</>, or <application>PAM</>,
        if you want to support authentication using these services.
       </para>
      </listitem>
***************
*** 893,903 ****
         <term><option>--disable-spinlocks</option></term>
         <listitem>
          <para>
!          Allow the builds to succeed even if PostgreSQL has no CPU
!          spinlock support for the platform.  The lack of spinlock
!          support will result in poor performance; therefore, this
!          option should only be used if the build aborts and informs
!          you that the platform lacks spinlock support.
          </para>
         </listitem>
        </varlistentry>
--- 893,906 ----
         <term><option>--disable-spinlocks</option></term>
         <listitem>
          <para>
!          Allow the build to succeed even if <productname>PostgreSQL</>
!          has no CPU spinlock support for the platform.  The lack of
!          spinlock support will result in poor performance; therefore,
!          this option should only be used if the build aborts and
!          informs you that the platform lacks spinlock support. If this
!          option is required to build <productname>PostgreSQL</> on
!          your platform, please report the problem to the
!          <productname>PostgreSQL</> developers.
          </para>
         </listitem>
        </varlistentry>
Index: doc/src/sgml/jdbc.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/jdbc.sgml,v
retrieving revision 1.51
diff -c -r1.51 jdbc.sgml
*** doc/src/sgml/jdbc.sgml	29 Nov 2003 19:51:37 -0000	1.51
--- doc/src/sgml/jdbc.sgml	6 Dec 2003 22:44:41 -0000
***************
*** 98,105 ****
      For instance, assume we have an application that uses the
      <acronym>JDBC</acronym> driver to access a database, and that
      application is installed as
!     <filename>/usr/local/lib/myapp.jar</filename>.  The PostgreSQL
!     <acronym>JDBC</> driver installed as
      <filename>/usr/local/pgsql/share/java/postgresql.jar</>.  To run
      the application, we would use:
  <programlisting>
--- 98,105 ----
      For instance, assume we have an application that uses the
      <acronym>JDBC</acronym> driver to access a database, and that
      application is installed as
!     <filename>/usr/local/lib/myapp.jar</filename>.  The
!     <productname>PostgreSQL</> <acronym>JDBC</> driver installed as
      <filename>/usr/local/pgsql/share/java/postgresql.jar</>.  To run
      the application, we would use:
  <programlisting>
***************
*** 119,127 ****
  
     <para>
      Because Java only uses TCP/IP connections, the
!     <application>PostgreSQL</application> server must be configured to
!     accept TCP/IP connections.  This can be done by setting 
!     <literal>tcpip_socket = true</literal> in the 
      <filename>postgresql.conf</filename> file or by supplying the
      <option>-i</option> option flag when starting
      <command>postmaster</command>.
--- 119,127 ----
  
     <para>
      Because Java only uses TCP/IP connections, the
!     <productname>PostgreSQL</productname> server must be configured to
!     accept TCP/IP connections.  This can be done by setting
!     <literal>tcpip_socket = true</literal> in the
      <filename>postgresql.conf</filename> file or by supplying the
      <option>-i</option> option flag when starting
      <command>postmaster</command>.
***************
*** 239,245 ****
     <para>
      With <acronym>JDBC</acronym>, a database is represented by a
      <acronym>URL</acronym> (Uniform Resource Locator).  With
!     <application>PostgreSQL</application>, this takes one of the
      following forms:
  
      <itemizedlist>
--- 239,245 ----
     <para>
      With <acronym>JDBC</acronym>, a database is represented by a
      <acronym>URL</acronym> (Uniform Resource Locator).  With
!     <productname>PostgreSQL</productname>, this takes one of the
      following forms:
  
      <itemizedlist>
***************
*** 720,726 ****
    </indexterm>
  
    <para>
!     <application>PostgreSQL</application> provides two distinct ways to 
      store binary data.  Binary data can be stored in a table using 
      the data type <type>bytea</type> or by using the Large Object
      feature which stores the binary data in a separate table in a special 
--- 720,726 ----
    </indexterm>
  
    <para>
!     <productname>PostgreSQL</productname> provides two distinct ways to 
      store binary data.  Binary data can be stored in a table using 
      the data type <type>bytea</type> or by using the Large Object
      feature which stores the binary data in a separate table in a special 
***************
*** 770,781 ****
    </para>
  
    <para>
!     To use the Large Object functionality you can use either the 
!     <classname>LargeObject</classname> class
!     provided by the <application>PostgreSQL</application> 
!     <acronym>JDBC</acronym> driver, or by using the 
!     <function>getBLOB()</function> and <function>setBLOB()</function>
!     methods.
    </para>
  
    <important>
--- 770,780 ----
    </para>
  
    <para>
!     To use the Large Object functionality you can use either the
!     <classname>LargeObject</classname> class provided by the
!     <productname>PostgreSQL</> <acronym>JDBC</acronym> driver, or by
!     using the <function>getBLOB()</function> and
!     <function>setBLOB()</function> methods.
    </para>
  
    <important>
***************
*** 800,806 ****
  
    <para>
     <xref linkend="jdbc-binary-data-example"> contains some examples on
!    how to process binary data using the PostgreSQL <acronym>JDBC</> driver.
    </para>
  
    <example id="jdbc-binary-data-example">
--- 799,806 ----
  
    <para>
     <xref linkend="jdbc-binary-data-example"> contains some examples on
!    how to process binary data using the <productname>PostgreSQL</>
!    <acronym>JDBC</> driver.
    </para>
  
    <example id="jdbc-binary-data-example">
***************
*** 948,954 ****
  
  
   <sect1 id="jdbc-ext">
!   <title><application>PostgreSQL</application> Extensions to the
      <acronym>JDBC</acronym> <acronym>API</acronym></title>
  
    <para>
--- 948,954 ----
  
  
   <sect1 id="jdbc-ext">
!   <title><productname>PostgreSQL</productname> Extensions to the
      <acronym>JDBC</acronym> <acronym>API</acronym></title>
  
    <para>
Index: doc/src/sgml/libpq.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/libpq.sgml,v
retrieving revision 1.143
diff -c -r1.143 libpq.sgml
*** doc/src/sgml/libpq.sgml	29 Nov 2003 19:51:37 -0000	1.143
--- doc/src/sgml/libpq.sgml	6 Dec 2003 22:45:26 -0000
***************
*** 3575,3586 ****
  <para>
  <application>libpq</application> is reentrant and thread-safe if the
  <filename>configure</filename> command-line option
! <literal>--enable-thread-safety</> has been used when the PostgreSQL
! distribution was built.
! In addition, you might need to use additional compiler command-line 
! options when you compile your application code.  Refer to your system's
! documentation for information about how to build thread-enabled
! applications.
  </para>
  
  <para>
--- 3575,3586 ----
  <para>
  <application>libpq</application> is reentrant and thread-safe if the
  <filename>configure</filename> command-line option
! <literal>--enable-thread-safety</> has been used when the
! <productname>PostgreSQL</productname> distribution was built.  In
! addition, you might need to use additional compiler command-line
! options when you compile your application code.  Refer to your
! system's documentation for information about how to build
! thread-enabled applications.
  </para>
  
  <para>
Index: doc/src/sgml/mvcc.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/mvcc.sgml,v
retrieving revision 2.42
diff -c -r2.42 mvcc.sgml
*** doc/src/sgml/mvcc.sgml	29 Nov 2003 19:51:37 -0000	2.42
--- doc/src/sgml/mvcc.sgml	6 Dec 2003 22:42:09 -0000
***************
*** 215,225 ****
      isolation level may be stricter than what you select.  This is
      permitted by the SQL standard: the four isolation levels only
      define which phenomena must not happen, they do not define which
!     phenomena must happen.  The reason that PostgreSQL only provides
!     two isolation levels is that this is the only sensible way to map
!     the isolation levels to the multiversion concurrency control
!     architecture.  The behavior of the available isolation levels is
!     detailed in the following subsections.
     </para>
  
     <para>
--- 215,225 ----
      isolation level may be stricter than what you select.  This is
      permitted by the SQL standard: the four isolation levels only
      define which phenomena must not happen, they do not define which
!     phenomena must happen.  The reason that <productname>PostgreSQL</>
!     only provides two isolation levels is that this is the only
!     sensible way to map the isolation levels to the multiversion
!     concurrency control architecture.  The behavior of the available
!     isolation levels is detailed in the following subsections.
     </para>
  
     <para>
Index: doc/src/sgml/rules.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/rules.sgml,v
retrieving revision 1.32
diff -c -r1.32 rules.sgml
*** doc/src/sgml/rules.sgml	29 Nov 2003 19:51:37 -0000	1.32
--- doc/src/sgml/rules.sgml	6 Dec 2003 22:37:32 -0000
***************
*** 1825,1833 ****
       </listitem>
      </itemizedlist>
  
!     (This system was established in PostgreSQL 7.3.  In versions
!     before that, the command status might show different results when
!     rules exist.)
  </Para>
  
  <Para>
--- 1825,1833 ----
       </listitem>
      </itemizedlist>
  
!     (This system was established in <productname>PostgreSQL</> 7.3.
!     In versions before that, the command status might show different
!     results when rules exist.)
  </Para>
  
  <Para>
Index: doc/src/sgml/runtime.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/runtime.sgml,v
retrieving revision 1.226
diff -c -r1.226 runtime.sgml
*** doc/src/sgml/runtime.sgml	6 Dec 2003 23:10:23 -0000	1.226
--- doc/src/sgml/runtime.sgml	6 Dec 2003 23:14:02 -0000
***************
*** 3551,3557 ****
     The server will listen for both standard and <acronym>SSL</>
     connections on the same TCP port, and will negotiate with any
     connecting client on whether to use <acronym>SSL</>. See <xref
!    linkend="client-authentication"> about how to force the server to
     require use of <acronym>SSL</> for certain connections.
    </para>
  
--- 3551,3557 ----
     The server will listen for both standard and <acronym>SSL</>
     connections on the same TCP port, and will negotiate with any
     connecting client on whether to use <acronym>SSL</>. See <xref
!    linkend="auth-pg-hba-conf"> about how to force the server to
     require use of <acronym>SSL</> for certain connections.
    </para>
  
Index: doc/src/sgml/ref/copy.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/copy.sgml,v
retrieving revision 1.54
diff -c -r1.54 copy.sgml
*** doc/src/sgml/ref/copy.sgml	29 Nov 2003 19:51:38 -0000	1.54
--- doc/src/sgml/ref/copy.sgml	6 Dec 2003 22:41:25 -0000
***************
*** 584,591 ****
    </para>
  
    <para>
!    The following syntax was used before PostgreSQL version 7.3 and is
!    still supported:
  
  <synopsis>
  COPY [ BINARY ] <replaceable class="parameter">tablename</replaceable> [ WITH OIDS ]
--- 584,591 ----
    </para>
  
    <para>
!    The following syntax was used before <productname>PostgreSQL</>
!    version 7.3 and is still supported:
  
  <synopsis>
  COPY [ BINARY ] <replaceable class="parameter">tablename</replaceable> [ WITH OIDS ]
Index: doc/src/sgml/ref/create_table_as.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/create_table_as.sgml,v
retrieving revision 1.18
diff -c -r1.18 create_table_as.sgml
*** doc/src/sgml/ref/create_table_as.sgml	1 Dec 2003 22:07:58 -0000	1.18
--- doc/src/sgml/ref/create_table_as.sgml	6 Dec 2003 22:40:53 -0000
***************
*** 125,141 ****
    </para>
  
    <para>
!    Prior to PostgreSQL 7.5, <command>CREATE TABLE AS</command> always
!    included OIDs in the table it produced. Furthermore, these OIDs
!    were newly generated: they were distinct from the OIDs of any of
!    the rows in the source tables of the <command>SELECT</command> or
!    <command>EXECUTE</command> statement. Therefore, if <command>CREATE
!    TABLE AS</command> was frequently executed, the OID counter would
!    be rapidly incremented. As of PostgreSQL 7.5, the inclusion of OIDs
!    in the table generated by <command>CREATE TABLE AS</command> is
!    controlled by the <varname>default_with_oids</varname> configuration
!    variable. This variable currently defaults to true, but will likely
!    default to false in a future release of <productname>PostgreSQL</>.
    </para>
   </refsect1>
  
--- 125,143 ----
    </para>
  
    <para>
!    Prior to <productname>PostgreSQL</> 7.5, <command>CREATE TABLE
!    AS</command> always included OIDs in the table it
!    produced. Furthermore, these OIDs were newly generated: they were
!    distinct from the OIDs of any of the rows in the source tables of
!    the <command>SELECT</command> or <command>EXECUTE</command>
!    statement. Therefore, if <command>CREATE TABLE AS</command> was
!    frequently executed, the OID counter would be rapidly
!    incremented. As of <productname>PostgreSQL</> 7.5, the inclusion of
!    OIDs in the table generated by <command>CREATE TABLE AS</command>
!    is controlled by the <varname>default_with_oids</varname>
!    configuration variable. This variable currently defaults to true,
!    but will likely default to false in a future release of
!    <productname>PostgreSQL</>.
    </para>
   </refsect1>
  
Index: doc/src/sgml/ref/postmaster.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/postmaster.sgml,v
retrieving revision 1.42
diff -c -r1.42 postmaster.sgml
*** doc/src/sgml/ref/postmaster.sgml	29 Nov 2003 19:51:39 -0000	1.42
--- doc/src/sgml/ref/postmaster.sgml	6 Dec 2003 22:39:59 -0000
***************
*** 452,468 ****
     </para>
  
     <para>
!     A failure message indicating inability to bind to a port may indicate
!     that that port is already in use by some non-PostgreSQL process.
!     You may also get this error if you terminate the
!     <command>postmaster</command>
!     and immediately restart it using the same port; in this case, you must
!     simply wait a few seconds until the operating system closes the port
!     before trying again.  Finally, you may get this error if you specify
!     a port number that your operating system considers to be reserved.
!     For example, many versions of Unix consider port numbers under 1024 to
!     be <quote>trusted</quote>
!     and only permit the Unix superuser to access them.
     </para>
  
   </refsect1>
--- 452,468 ----
     </para>
  
     <para>
!     A failure message indicating inability to bind to a port may
!     indicate that that port is already in use by some
!     non-<productname>PostgreSQL</productname> process.  You may also
!     get this error if you terminate the <command>postmaster</command>
!     and immediately restart it using the same port; in this case, you
!     must simply wait a few seconds until the operating system closes
!     the port before trying again.  Finally, you may get this error if
!     you specify a port number that your operating system considers to
!     be reserved.  For example, many versions of Unix consider port
!     numbers under 1024 to be <quote>trusted</quote> and only permit
!     the Unix superuser to access them.
     </para>
  
   </refsect1>
Index: doc/src/sgml/ref/select_into.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/select_into.sgml,v
retrieving revision 1.26
diff -c -r1.26 select_into.sgml
*** doc/src/sgml/ref/select_into.sgml	1 Dec 2003 22:07:58 -0000	1.26
--- doc/src/sgml/ref/select_into.sgml	6 Dec 2003 22:41:03 -0000
***************
*** 94,110 ****
    </para>
  
    <para>
!    Prior to PostgreSQL 7.5, the table created by <command>SELECT
!    INTO</command> always included OIDs. Furthermore, these OIDs were
!    newly generated: they were distinct from the OIDs of any of the
!    rows in the source tables of the <command>SELECT INTO</command>
!    statement. Therefore, if <command>SELECT INTO</command> was
!    frequently executed, the OID counter would be rapidly
!    incremented. As of PostgreSQL 7.5, the inclusion of OIDs in the
!    table created by <command>SELECT INTO</command> is controlled by
!    the <varname>default_with_oids</varname> configuration
!    variable. This variable currently defaults to true, but will likely
!    default to false in a future release of <productname>PostgreSQL</>.
    </para>
   </refsect1>
  
--- 94,111 ----
    </para>
  
    <para>
!    Prior to <productname>PostgreSQL</> 7.5, the table created by
!    <command>SELECT INTO</command> always included OIDs. Furthermore,
!    these OIDs were newly generated: they were distinct from the OIDs
!    of any of the rows in the source tables of the <command>SELECT
!    INTO</command> statement. Therefore, if <command>SELECT
!    INTO</command> was frequently executed, the OID counter would be
!    rapidly incremented. As of <productname>PostgreSQL</> 7.5, the
!    inclusion of OIDs in the table created by <command>SELECT
!    INTO</command> is controlled by the
!    <varname>default_with_oids</varname> configuration variable. This
!    variable currently defaults to true, but will likely default to
!    false in a future release of <productname>PostgreSQL</>.
    </para>
   </refsect1>
  
